/*
	$Id: books.c,v 1.6 2008/10/27 04:23:52 alex Exp $
	books.c--- books
*/

#ifndef	lint
static char *rcsid __attribute__((unused)) = "$Id: books.c,v 1.6 2008/10/27 04:23:52 alex Exp $";
#endif

#include	<stdio.h>
#include	<stdlib.h>
#include	<stdarg.h>
#include	<unistd.h>
#include	<sys/types.h>
#include	<string.h>
#include	<signal.h>
#include	"edb/edb.h"
#include	"edb/html.h"
#include	"edb/publish.h"

extern	struct BOOK	book_check;
extern	struct BOOK	book_misc;

int	edb_make_books		__P((EdbContext, int, char *[], FILE *));
int	edb_make_books_auth	__P((EdbContext, int, char *[], FILE *));
void	edb_book_check_prepare_sections	__P((EdbContext));

int
edb_make_books(EdbContext ec, int ac, char *av[], FILE *fp)
{

	if(ac>=1) {
		char	*name = av[0];
		int	all = FALSE;

		edb_begin(ec, FALSE);
		if(!strcmp(name, "all")) all = TRUE;
		if(all || !strcmp(name, "check")) {
			edb_book_check_prepare_sections(ec);
			edb_make_book(ec, &book_check, PrintStyle_STANDARD, DocML_HTML, fp);
		}
		edb_end(ec);
	}
	return TRUE;
}

int
edb_make_books_auth(EdbContext ec, int ac, char *av[], FILE *fp)
{

	if(ac>=1) {
		char	*name = av[0];
		int	all = FALSE;

		edb_begin(ec, FALSE);
		if(!strcmp(name, "all")) all = TRUE;
		if(all || !strcmp(name, "misc")) {
			edb_make_book(ec, &book_misc, PrintStyle_STANDARD, DocML_HTML, fp);
			edb_make_book(ec, &book_misc, PrintStyle_STANDARD, DocML_PLAIN, fp);
		}
		edb_end(ec);
	}
	return TRUE;
}


